# docker-python-runner

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-python-runner/status.svg)](https://drone.asperti.com/paspo/docker-python-runner)

Base docker container for running python scripts.

## usage

```yaml
version: '3.6'
services:
  runner:
    image: docker.asperti.com/paspo/python-runner:latest
    container_name: python-scripts
    restart: unless-stopped
    volumes:
      - ./scripts:/scripts
      - ./logs:/var/log
    environment:
      TZ: Europe/Rome
      CRONTAB: >
        */5 7-22 * * * /scripts/test.py
        */10 7-22 * * * /scripts/test2.py
```

```bash
mkdir scripts logs
touch scripts/test.py && chmod +x scripts/test.py
touch scripts/test2.py && chmod +x scripts/test2.py
docker-compose up -d
```
